#pragma once

#include "BkDialogST.h"
#include "BlendedButtonST.h"
#include "BlendedStaticST.h"
#include "ResourceServerST.h"
#include "Icons.h"

class CDlgBlendedButtonST : public CBkDialogST
{
public:
	CDlgBlendedButtonST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgBlendedButtonST)
	enum { IDD = IDD_BLENDEDBUTTONST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgBlendedButtonST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	// Generated message map functions
	//{{AFX_MSG(CDlgBlendedButtonST)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

private:
	void OnPostEraseBkgnd(CDC* pDC);
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;

	CFont				m_fontTitle;
	CBlendedStaticST	m_stcTitle1;
	CBlendedStaticST	m_stcTitle2;

	CButtonST			m_btnButton1;
	CButtonST			m_btnButton2;
	CBlendedButtonST	m_btnButton3;
	CBlendedButtonST	m_btnButton4;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
